Bug 43367 - RFE: iterator to peek objects in FcPattern
Summary: RFE: iterator to peek objects in FcPattern
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: library (show other bugs)
Version: 2.8
Hardware: Other All
: medium enhancement
Assignee: Akira TAGOH
QA Contact: Behdad Esfahbod
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-30 01:31 UTC by Akira TAGOH
Modified: 2018-05-11 13:21 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Akira TAGOH 2011-11-30 01:31:41 UTC
We can have a look at FcPattern on the output with FcPatternPrint() though, there are no way to peek around it programmatically. there are no function what kind of objects FcPattern has, so one can't obtain the objects efficiently with FcPatternGet*(). that would be nice if there are any API available for that purpose.
Comment 1 Behdad Esfahbod 2012-02-21 19:34:12 UTC
Yes, I agree that this is a gap in the API.
Comment 2 Akira TAGOH 2012-09-11 06:04:11 UTC
the proposed changes to add some APIs to obtain things from FcPattern:
  http://cgit.freedesktop.org/~tagoh/fontconfig/commit/?h=bz43367
Comment 3 Akira TAGOH 2018-05-11 13:21:29 UTC
merged this changes with  some clean up and bug fixes because of the need of access to FcPattern iteratively.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.